<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] ?: array()) + array("_aed8da0" . "f1909121" . "4b78f803" . "51048517" . "c" => base64_decode("c3R" . "ybG" . "Vu"), "_b969b955d1" . "355379880c0" . "b97b2e4f679" => base64_decode("Y2ZnX21hcmtlcl9hdXRvX2dlbmVyYXR" . "pb25fcHJlZml4"), "_bc9f5b3b6a495ee5" . "5ebb7158ab184dc4" => base64_decode("VVBEQVRFIEVSTVNfZGF0YSBTRVQgdGl0bGU9c3" . "RyOnRpdGxlIFdIRVJFIGlkPWludDppZA=="), "_f1a1c12258c33" . "9542b5f89ca976" . "d35f1" => base64_decode("VVBEQVRFIEVSTVNfZGF0YSBTRVQgZGF0ZV9sYXN0X2FjY2Vzc2VkPWludDpkYXRlIFdIRVJFIGlkPW" . "ludDppZA=="), "_4ca36bbc84" . "4fd9e04b91f" . "8a27c589890" => base64_decode("Z2x5cGhpY2" . "9ucyBnbHlw" . "aGljb25zLW" . "1hcA=="), "_7a7cffa4d53ef9ebe07" . "145b1a5bf3d85" => base64_decode("L2ludHJhbmV0L2RvY3V" . "tZW50cy9pbWFnZXMvbW" . "Fya2VyLmdpZg=="), "_5e9a99dc" . "0dd49b907" . "abf1b35e9" . "6965f8" => base64_decode("dHJpb" . "Q=="));
use Claromentis\Core\Services;
use Claromentis\Documents\DocumentsApplication;
use Claromentis\Search\Indexing\IndexingQueue;





class ERMSMarker extends ERMSDataObj
{
    
    
    
    
    public function __construct()
    {
        parent::__construct(DOC_TYPE_MARKER);
    }
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    public function Load($id, $_becefc630ea26637f10f240476e32255 = false)
    {
        $db = \Claromentis\Core\Services::I()->GetDb();
        if (!parent::Load($id, $_becefc630ea26637f10f240476e32255)) {
            return false;
        }
        $this->date_last_accessed = new Date();
        $db->unsafe_query = true;
        $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_f1a1c12258c33" . "9542b5f89ca976" . "d35f1"], $this->GetDate($this->date_last_accessed), $id);
        return true;
    }
    
    
    
    
    
    
    
    public function Save()
    {
        $db = Services::I()->GetDb();
        $_b34ab5f1ac69818b996067e04caa4631 = DocumentsApplication::getConfig();
        $_b969b955d1355379880c0b97b2e4f679 = $_b34ab5f1ac69818b996067e04caa4631->Get($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_b969b955d1355379880c0b97b2e4f67" . "9"]);
        if (!parent::Save()) {
            return false;
        }
        if (!$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_aed8da0f1" . "9091214b78" . "f803510485" . "17c"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_5e9a99dc0dd49b907abf" . "1b35e96965f8"]($this->title)) > 0) {
            $title = $_b969b955d1355379880c0b97b2e4f679 . $this->doc_id;
            $db->query($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_bc9f5b3b6a495ee55ebb7158ab18" . "4dc4"], $title, $this->id);
        }
        IndexingQueue::Reindex($this->GetSearchType(), $this->doc_id);
        return true;
    }
    
    
    
    
    
    
    public function GetSmallIconUrl()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_7a7cffa4d53ef9" . "ebe07145b1a5bf3" . "d85"];
    }
    
    
    
    
    
    
    public function GetSmallIconCSSClass()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_4ca36bbc844fd9e04" . "b91f8a27c589890"];
    }
    protected function _NewObject()
    {
        return new ERMSMarker();
    }
}